commit: 70f6843a90d729fb996f69099a07dbe56c6ce45f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 31 15:15:17 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 31 15:16:24 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70f6843a
app-portage/getuto: Permit app-alternatives/gpg
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-portage/getuto/getuto-1.15.ebuild | 6 +++++-
app-portage/getuto/getuto-9999.ebuild | 8 ++++++--
2 files changed, 11 insertions(+), 3 deletions(-)
diff --git a/app-portage/getuto/getuto-1.15.ebuild
b/app-portage/getuto/getuto-1.15.ebuild
index 09987c3f6d9f..ff1733680e9b 100644
--- a/app-portage/getuto/getuto-1.15.ebuild
+++ b/app-portage/getuto/getuto-1.15.ebuild
@@ -25,8 +25,12 @@ SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"
+# gpg[sequoia] fails w/ 0.13.1 because of missing --lsign-key
RDEPEND="
- app-crypt/gnupg
+ || (
+ app-alternatives/gpg[reference]
+ app-alternatives/gpg[freepg(-)]
+ )
dev-libs/openssl
sec-keys/openpgp-keys-gentoo-release
sys-apps/gentoo-functions
diff --git a/app-portage/getuto/getuto-9999.ebuild
b/app-portage/getuto/getuto-9999.ebuild
index 288ed5ed1b96..3aae41d5975b 100644
--- a/app-portage/getuto/getuto-9999.ebuild
+++ b/app-portage/getuto/getuto-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -25,8 +25,12 @@ SLOT="0"
IUSE="test"
RESTRICT="!test? ( test )"
+# gpg[sequoia] fails w/ 0.13.1 because of missing --lsign-key
RDEPEND="
- app-crypt/gnupg
+ || (
+ app-alternatives/gpg[reference]
+ app-alternatives/gpg[freepg(-)]
+ )
dev-libs/openssl
sec-keys/openpgp-keys-gentoo-release
sys-apps/gentoo-functions